Bug 848764 - default mediacheck on 18 Beta TC6 discs does not work
default mediacheck on 18 Beta TC6 discs does not work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
AcceptedBlocker AcceptedNTH
:
Depends On:
Blocks: F18Blocker/F18FinalBlocker F18Beta-accepted/F18BetaFreezeExcept
  Show dependency treegraph
 
Reported: 2012-08-16 07:27 EDT by Andre Robatino
Modified: 2012-11-08 05:06 EST (History)
10 users (show)

See Also:
Fixed In Version: anaconda-18.22-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-08 04:29:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2012-08-16 07:27:05 EDT
Description of problem:
On the F17 install discs, the rd.live.check boot option triggers a mediacheck. You can actually see it checking the disc, and if it fails, the installer drops to a dracut prompt. On 18 Alpha TC2 (and probably TC1 as well) this doesn't happen. There is no visible sign of a mediacheck, and even if the image is corrupted, so that checkisomd5 fails, the installer boots.

Version-Release number of selected component (if applicable):
18 Alpha TC2 (either i386 or x86_64, either DVD or netinst)

How reproducible:
always

Steps to Reproduce:
1. Try to replace the minimum amount of the end of the ISO with zeroes in order to get checkisomd5 to FAIL. For example "truncate -s 270910K Fedora-18-Alpha-TC2-i386-netinst.iso", then "truncate -s 277872640 Fedora-18-Alpha-TC2-i386-netinst.iso".
2. Boot from the ISO with the rd.live.check option (default for the install discs).
  
Actual results:
Installer boots same as usual.

Expected results:
Some visible sign of a mediacheck, and installer should drop to a dracut prompt if it fails.
Comment 1 Andre Robatino 2012-08-17 07:23:02 EDT
Still broken in 18 Alpha TC3.
Comment 2 Andre Robatino 2012-08-31 04:48:37 EDT
Still broken in 18 Alpha TC4.
Comment 3 Andre Robatino 2012-09-01 00:25:01 EDT
Still broken in 18 Alpha TC5.
Comment 4 Andre Robatino 2012-09-06 15:29:06 EDT
Still broken in 18 Alpha TC6.
Comment 5 Xavier Hourcade 2012-09-08 17:22:22 EDT
Also applies to Live CD iso (tested Live KDE alpha TC5 & TC6 here)
Comment 6 Andre Robatino 2012-09-10 21:38:07 EDT
Still broken in 18 Alpha RC1.
Comment 7 Harald Hoyer 2012-09-11 06:47:04 EDT
Anaconda's way of dracut handling does not work with the livecd mediacheck in dracut.

anaconda calls /sbin/dmsquash-live-root with the image path, but the mediacheck in dmsquash-live-root wants a block device.
Comment 8 Andre Robatino 2012-09-11 16:52:55 EDT
Still broken in 18 Alpha RC2.
Comment 9 Chris Lumens 2012-09-11 16:54:00 EDT
No work has been done on this yet, so yeah.  We know.  We don't need a day-by-day update.
Comment 10 Adam Williamson 2012-10-23 21:57:58 EDT
This has been silently proposed as a Beta blocker, but I think Final is appropriate according to the criteria: "If there is an embedded checksum in the image, it must match. If there is a related UI element displayed after booting the image, it must work and display the correct result" is a Final criterion.

So I'm -1 Beta blocker, probably +1 Beta NTH.
Comment 11 Adam Williamson 2012-10-24 12:43:15 EDT
Discussed at the 2012-10-24 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-10-24/f18beta-blocker-review-5.2012-10-24-16.01.log.txt . Agreed this is rejected as a Beta blocker, accepted as a Final blocker per criterion cited above, and accepted as Beta NTH as it's obviously worth fixing for Beta post-freeze.
Comment 12 Fedora Update System 2012-10-31 22:52:22 EDT
anaconda-18.22-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.22-1.fc18
Comment 13 Fedora Update System 2012-11-01 14:28:12 EDT
Package anaconda-18.22-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.22-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17432/anaconda-18.22-1.fc18
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2012-11-02 00:06:46 EDT
anaconda-18.23-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.23-1.fc18
Comment 15 Fedora Update System 2012-11-02 21:06:18 EDT
anaconda-18.24-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.24-1.fc18
Comment 16 Andre Robatino 2012-11-03 02:36:27 EDT
The mediacheck appears to work properly on all four 18 Beta TC7 (anaconda 18.24) install discs now (prints PASS when okay, prints FAIL and drops to an emergency prompt when not). However, there is no longer a progress indicator, so the check on large optical media may cause the user to think the installer is hung, rather than busy. Is it possible at all to include one?
Comment 17 Andre Robatino 2012-11-03 04:37:41 EDT
The mediacheck on live images (in the Troubleshooting menu) does not appear to give any visible indication at all of its running, not even a PASS or FAIL. I did verify that a FAIL causes it to drop to an emergency prompt, though.
Comment 18 Andre Robatino 2012-11-03 04:40:07 EDT
Sorry, should have said that the live image mediacheck does not give any visible indication for PASS. It does print error messages including FAIL when it drops to an emergency prompt.
Comment 19 Fedora Update System 2012-11-05 20:41:24 EST
anaconda-18.25-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.25-1.fc18
Comment 20 Fedora Update System 2012-11-06 21:13:32 EST
anaconda-18.26-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.26-1.fc18
Comment 21 satellitgo 2012-11-07 16:13:05 EST
Default menu (line2) in grub of smoke15 DVD has about a 3 minute pause: 

"[ok] reached target basic system"

in boot of anaconda
This appears like a hang of the installer
a progress bar (or message that disk is being checked) would be nice here

Use of first line of grub does not have this delay
Comment 22 Adam Williamson 2012-11-08 04:29:47 EST
18.26 went stable. Closing. (Bodhi closing of bugs when updates go stable is currently broken). (verified in comment #16; please file requests for progress display etc as new bugs).
Comment 23 Andre Robatino 2012-11-08 05:06:06 EST
Filed bug 874486 (RFE: progress indicator for mediacheck so users know the installer isn't hung).

Note You need to log in before you can comment on or make changes to this bug.